//
// Q3MSK.RU
//


textures/tp_gothic/pjgrate2_nopicmip
{
	qer_editorimage textures/base_floor/pjgrate2.tga
	surfaceparm	metalsteps		
	cull none
	nopicmip

	// A RUSTED GRATE THAT CAN BE SEEN FROM BOTH SIDES
	{
		map textures/base_floor/pjgrate2.tga
		tcMod scale 2.0 2.0
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbGen identity
	}
}
textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}
textures/tp_gothic/tele_fire_swirl
{
	qer_editorimage textures/sfx/swirl_b1.tga
        deformVertexes wave 100 sin 1 2 .1 1
        q3map_surfacelight	300
	nopicmip

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
        surfaceparm nonsolid
	cull none
	
	{
		clampmap textures/sfx/swirl_b1.tga
		blendfunc add
                tcMod rotate 50
	}	
        {
		clampmap textures/sfx/swirl_b2.tga
		blendfunc add
                tcMod rotate 100
	}
	
}
textures/tp_gothic/px01_dust
{
	
	qer_editorimage textures/proto2/px01.tga
	surfaceparm dust
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/proto2/px01.tga
		rgbGen identity
		blendfunc filter

	
	}
}
textures/gothic_trim/chain2
{
    cull disable
    surfaceparm alphashadow
    surfaceparm nonsolid
	{
		map textures/gothic_trim/chain2.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/base_support/metal_support3
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support3.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/xflag01
{       	
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
       
	{
		map textures/proto2/xflag01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
                  
	}
        
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}

}
textures/tp_gothic/tp_jumppad_fx
{
	qer_editorimage textures/tp_gothic/tp_jumppad_fx.tga
      q3map_surfacelight	300
	nopicmip
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
      surfaceparm nonsolid
	cull none
	{
		clampmap textures/tp_gothic/tp_jumppad_fx.tga
		blendfunc add
            tcMod rotate 100
	} 	
}
textures/tp_gothic/tp_stainedglass_001
{
	qer_editorimage textures/tp_gothic/tp_stainedglass_001.tga
	q3map_lightimage textures/tp_gothic/tp_stainedglass_001.tga
	q3map_surfacelight 150
        {
		map textures/tp_gothic/tp_stainedglass_001.tga
               // blendfunc filter
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}
textures/tp_gothic/tp_stormclouds_001

{
	skyparms - 512 -

	q3map_lightImage textures/tp_gothic/tp_stormclouds_001.tga

	q3map_sunExt .77 .91 1 300 80 60 3 16
	q3map_lightmapFilterRadius 0 8		//self other
	q3map_skyLight 100 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/tp_gothic/tp_stormclouds_001.tga

	{
		map textures/tp_gothic/tp_stormclouds_001.tga
		tcMod scale 10 10
		tcMod scroll .05 .09
		depthWrite
	}


	{
		map textures/tp_gothic/tp_stormclouds_001.tga
		blendfunc add
		tcMod scale 4 4
		tcMod scroll 0.07 0.07
	}
}
textures/liquids2/calm_poollight2nt
	{


	
		qer_editorimage textures/liquids/pool3d_4b.tga
		q3map_globaltexture
		qer_trans .75

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		q3map_surfacelight 50

		cull disable
		
	
	
		{ 
			map textures/liquids/pool3d_5c2.tga
			blendfunc filter
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c2.tga
			blendfunc filter
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c2.tga
			blendfunc filter
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			tcmod scale .125 .125	
			rgbgen identity
		}


		//	END
	}
textures/base_support/metal_support2
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/metal_support2.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/tp_gothic/red_cross
{
   qer_editorimage textures/tp_gothic/red_cross.tga
   surfaceparm nodamage
   surfaceparm nolightmap
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   polygonoffset
   nopicmip
   {
      map textures/tp_gothic/red_cross.tga
      blendfunc add
      rgbGen identity
   }
}
textures/ad_content/2x1
{
	nopicmip
	{
		map textures/ad_content/ad2x1.tga
		rgbGen identity
		
	}
	{
		map textures/ad_content/ad2x1blend.tga
		rgbGen wave sin 0.72 0.3 0.7 0.7 
		blendFunc blend
	
	}
	{
		map textures/ad_content/2x1text.tga
		rgbGen identity
		blendFunc blend
		
	}
	{
		map textures/ad_content/glow2.jpg
		blendfunc add
	    rgbGen Wave sin .6 0 0 0
		tcmod scroll 0 -0.75
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}	

} 
